Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.configuration.server
Class DataDomainLoadException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.apache.cayenne.CayenneRuntimeException
                      org.apache.cayenne.ConfigurationException
                          org.apache.cayenne.configuration.server.DataDomainLoadException

All Implemented Interfaces:
  Serializable

    public class DataDomainLoadException

extends ConfigurationException

Since:
  3.1
See Also:
  Serialized Form

Constructor Summary
`DataDomainLoadException()`
`DataDomainLoadException(ConfigurationTree<DataChannelDescriptor> configurationTree, String messageFormat, Object... messageArgs)`
`DataDomainLoadException(String messageFormat, Object... messageArgs)`
`DataDomainLoadException(String messageFormat, Throwable cause, Object... messageArgs)`
`DataDomainLoadException(Throwable cause)`

Method Summary
`ConfigurationTree<DataChannelDescriptor>` | `getConfigurationTree()`

Methods inherited from class org.apache.cayenne.CayenneRuntimeException
`getMessage, getUnlabeledMessage`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DataDomainLoadException

    public DataDomainLoadException()

### DataDomainLoadException

    public DataDomainLoadException(String messageFormat,
                                   Object... messageArgs)

### DataDomainLoadException

    public DataDomainLoadException(ConfigurationTree<DataChannelDescriptor> configurationTree,
                                   String messageFormat,
                                   Object... messageArgs)

### DataDomainLoadException

    public DataDomainLoadException(Throwable cause)

### DataDomainLoadException

    public DataDomainLoadException(String messageFormat,
                                   Throwable cause,
                                   Object... messageArgs)

Method Detail

### getConfigurationTree

    public ConfigurationTree<DataChannelDescriptor> getConfigurationTree()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001–2014 Apache Cayenne. All rights reserved.